/// <reference types="node" />
import { Server } from 'http';
import { HMRPayload } from 'types/hmrPayload';
import { Logger } from '../logger';
export declare const HMR_HEADER = "vite-hmr";
export interface WebSocketServer {
    send(payload: HMRPayload): void;
    close(): Promise<void>;
}
export declare function createWebSocketServer(server: Server, logger: Logger): WebSocketServer;
